Summary:	libXTrap library - client API for the DEC-XTRAP extension
Summary(pl.UTF-8):	Biblioteka libXTrap - API klienckie rozszerzenia DEC-XTRAP
Name:		xorg-lib-libXTrap
Version:	1.0.1
Release:	3
License:	MIT
Group:		X11/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libXTrap-%{version}.tar.bz2
# Source0-md5:	076ff6279d202f19421b51af4f723935
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-proto-trapproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-util-util-macros >= 1.17
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libXTrap library is the Xlib-based client API for the DEC-XTRAP
extension.

XTrap was a proposed standard extension for X11R5 which facilitated
the capturing of server protocol and synthesizing core input events.

Digital participated in the X Consortium's xtest working group which
chose to evolve XTrap functionality into the XTEST & RECORD extensions
for X11R6.

As X11R6 was released in 1994, XTrap has now been deprecated for over 15
years, and uses of it should be quite rare.

%description -l pl.UTF-8
Biblioteka libXTrap to oparte na bibliotece Xlib API klienckie dla
rozszerzenia DEC-XTRAP.

XTrap było proponowanym standardowym rozszerzeniem dla X11R5,
ułatwiającym przechwytywanie protokołu serwera i sztuczne tworzenie
zdarzeń wejściowych.

Digital brał udział w grupie roboczej X Consortium xtest, która
zdecydowała o ewolucji funkcjonalności XTrap w rozszerzenia XTEST oraz
RECORD dla X11R6.

Jako że X11R6 zostało wydane w 1994, XTrap jest przestarzałe od ponad 15
lat i jego użycie powinno być raczej rzadkie.

%package devel
Summary:	Development files for libXTrap library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXTrap
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libX11-devel
Requires:	xorg-lib-libXext-devel
Requires:	xorg-lib-libXt-devel
Requires:	xorg-proto-trapproto-devel

%description devel
This package contains the development files needed to compile programs
that use libXTrap.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki programistyczne niezbędne do kompilowania
programów używających biblioteki libXTrap.

%package static
Summary:	Static libXTrap library
Summary(pl.UTF-8):	Biblioteka statyczna libXTrap
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains the static libXTrap library.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną bibliotekę libXTrap.

%prep
%setup -q -n libXTrap-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libXTrap.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXTrap.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXTrap.so.6

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXTrap.so
%{_pkgconfigdir}/xtrap.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libXTrap.a
%changelog
* Tue Aug 25 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libXTrap.git;a=log;h=master

* Tue Aug 25 2020 Jakub Bogusz <qboosh@pld-linux.org> 7cd7540
- drop .la file, release 3

* Sun Apr 01 2018 Jakub Bogusz <qboosh@pld-linux.org> b35fc8d
- release 2 (x32 rebuild)

* Sat Jan 05 2013 Jakub Bogusz <qboosh@pld-linux.org> ba1dcba
- updated to 1.0.1
- proper description

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 3f48ba9
- dropped pre-cvs changelog

* Fri Sep 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> d464efc
- individual url

* Thu Nov 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 265fa71
- release 5

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 16f865b
- release 4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 8d6e54a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d6e3031
- converted to UTF-8

* Sat Nov 25 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> c040c25
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 077d0a6
- rebuild

* Mon Apr 17 2006 Jakub Bogusz <qboosh@pld-linux.org> 6cdada1
- release 1

* Wed Dec 28 2005 Jakub Bogusz <qboosh@pld-linux.org> f8ac6e5
- sources from X11R7.0 release

* Tue Dec 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 738629e
- 1.0.0 (X11R7.0-RC4)

* Sun Dec 04 2005 Jakub Bogusz <qboosh@pld-linux.org> 8c39d66
- -devel desc fixes

* Sun Dec 04 2005 Jakub Bogusz <qboosh@pld-linux.org> a934d23
- 0.99.2 (X11R7.0-RC3)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 961f988
- pkgconfig epoch

* Thu Oct 20 2005 Jakub Bogusz <qboosh@pld-linux.org> fa49902
- 0.99.1 (X11R7.0-RC1)

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> b61aca9
- kill /usr/X11R6

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 7f2be3b
- cleanups, ported back to Linux

